var axios = require('axios');
var ROOT_URL = 'https://www.googleapis.com/youtube/v3/search';

module.exports = function (params, callback) {

  if (!params.key) {
    throw new Error('Please provide a API key parameter');
  }

  if(!params.part){
      params.part = 'snippet';
  }

  if(!params.maxResults){
      params.maxResults = 5;
  }

  if(!params.type){
      params.type = 'video';
  }

  axios.get(ROOT_URL, { params: params })
    .then(function(response) {
      if (callback) { callback(response.data.items); }
    })
    .catch(function(error) {
      console.error(error);
    });
};
